/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ComponentAsResponse {
    /**
     * Identifier for component
     */
    id?: string;
    /**
     * Page identifier
     */
    page_id?: string;
    /**
     * Component Group identifier
     */
    group_id?: string | null;
    created_at?: string;
    updated_at?: string;
    /**
     * Is this component a group
     */
    group?: boolean;
    /**
     * Display name for component
     */
    name?: string;
    /**
     * More detailed description for component
     */
    description?: string | null;
    /**
     * Order the component will appear on the page
     */
    position?: number;
    /**
     * Status of component
     */
    status?: "operational" | "under_maintenance" | "degraded_performance" | "partial_outage" | "major_outage" | "";
    /**
     * Should this component be showcased
     */
    showcase?: boolean;
    /**
     * Requires a special feature flag to be enabled
     */
    only_show_if_degraded?: boolean;
    /**
     * Requires a special feature flag to be enabled
     */
    automation_email?: string | null;
    /**
     * The date this component started being used
     */
    start_date?: string;
}
//# sourceMappingURL=ComponentAsResponse.d.ts.map