/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ComponentUptimeAsResponse {
    /**
     * Start date used for uptime calculation (see the warnings field in the response if this value does not match the start parameter you provided).
     */
    range_start?: string;
    /**
     * End date used for uptime calculation (see the warnings field in the response if this value does not match the end parameter you provided).
     */
    range_end?: string;
    /**
     * Uptime percentage for a component
     */
    uptime_percentage?: number;
    /**
     * Seconds of major outage
     */
    major_outage?: number;
    /**
     * Seconds of partial outage
     */
    partial_outage?: number;
    /**
     * Warning messages related to the uptime query that may occur
     */
    warnings?: string[];
    /**
     * Component identifier
     */
    id?: string;
    /**
     * Component display name
     */
    name?: string;
    /**
     * Related incidents
     */
    related_events?: {
        /**
         * Incident identifier
         */
        id?: string;
    }[];
}
//# sourceMappingURL=ComponentUptimeAsResponse.d.ts.map