/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ComponentAsResponse } from "../definitions/ComponentAsResponse";
import { IncidentUpdateAsResponse } from "../definitions/IncidentUpdateAsResponse";
export interface IncidentAsResponse {
    /**
     * Incident Identifier
     */
    id?: string;
    /**
     * Incident components
     */
    components?: Array<ComponentAsResponse>;
    /**
     * The timestamp when the incident was created at.
     */
    created_at?: string;
    /**
     * The impact of the incident.
     */
    impact?: "none" | "maintenance" | "minor" | "major" | "critical";
    /**
     * value to override calculated impact value
     */
    impact_override?: "none" | "maintenance" | "minor" | "major" | "critical" | null;
    /**
     * The incident updates for incident.
     */
    incident_updates?: Array<IncidentUpdateAsResponse>;
    /**
     * Metadata attached to the incident. Top level values must be objects.
     */
    metadata?: any;
    /**
     * The timestamp when incident entered monitoring state.
     */
    monitoring_at?: string | null;
    /**
     * Incident Name. There is a maximum limit of 255 characters.
     */
    name?: string;
    /**
     * Incident Page Identifier
     */
    page_id?: string;
    /**
     * Body of the Postmortem.
     */
    postmortem_body?: string | null;
    /**
     * The timestamp when the incident postmortem body was last updated at.
     */
    postmortem_body_last_updated_at?: string | null;
    /**
     * Controls whether the incident will have postmortem.
     */
    postmortem_ignored?: boolean;
    /**
     * Indicates whether subscribers are already notificed about postmortem.
     */
    postmortem_notified_subscribers?: boolean;
    /**
     * Controls whether to decide if notify postmortem on twitter.
     */
    postmortem_notified_twitter?: boolean;
    /**
     * The timestamp when the postmortem was published.
     */
    postmortem_published_at?: boolean;
    /**
     * The timestamp when incident was resolved.
     */
    resolved_at?: string | null;
    /**
     * Controls whether the incident is scheduled to automatically change to complete.
     */
    scheduled_auto_completed?: boolean;
    /**
     * Controls whether the incident is scheduled to automatically change to in progress.
     */
    scheduled_auto_in_progress?: boolean;
    /**
     * The timestamp the incident is scheduled for.
     */
    scheduled_for?: string | null;
    /**
     * Controls whether send notification when scheduled maintenances auto transition to completed.
     */
    auto_transition_deliver_notifications_at_end?: boolean | null;
    /**
     * Controls whether send notification when scheduled maintenances auto transition to started.
     */
    auto_transition_deliver_notifications_at_start?: boolean | null;
    /**
     * Controls whether change components status to under_maintenance once scheduled maintenance is in progress.
     */
    auto_transition_to_maintenance_state?: boolean | null;
    /**
     * Controls whether change components status to operational once scheduled maintenance completes.
     */
    auto_transition_to_operational_state?: boolean | null;
    /**
     * Controls whether to remind subscribers prior to scheduled incidents.
     */
    scheduled_remind_prior?: boolean;
    /**
     * The timestamp when the scheduled incident reminder was sent at.
     */
    scheduled_reminded_at?: string | null;
    /**
     * The timestamp the incident is scheduled until.
     */
    scheduled_until?: string | null;
    /**
     * Incident Shortlink.
     */
    shortlink?: string;
    /**
     * The incident status. For realtime incidents, valid values are investigating, identified, monitoring, and resolved. For scheduled incidents, valid values are scheduled, in_progress, verifying, and completed.
     */
    status?: "investigating" | "identified" | "monitoring" | "resolved" | "scheduled" | "in_progress" | "verifying" | "completed";
    /**
     * The timestamp when the incident was updated at.
     */
    updated_at?: string;
}
//# sourceMappingURL=IncidentAsResponse.d.ts.map