/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface IncidentUpdateAsResponse {
    /**
     * Incident Update Identifier.
     */
    id?: string;
    /**
     * Incident Identifier.
     */
    incident_id?: string | null;
    /**
     * Affected components associated with the incident update.
     */
    affected_components?: Array<{
        code: string;
        name: string;
        old_status: string;
        new_status: string;
    }> | null;
    /**
     * Incident update body.
     */
    body?: string;
    /**
     * The timestamp when the incident update was created at.
     */
    created_at?: string;
    /**
     * An optional customized tweet message for incident postmortem.
     */
    custom_tweet?: string | null;
    /**
     * Controls whether to delivery notifications.
     */
    deliver_notifications?: boolean;
    /**
     * Timestamp when incident update is happened.
     */
    display_at?: string;
    /**
     * The incident status. For realtime incidents, valid values are investigating, identified, monitoring, and resolved. For scheduled incidents, valid values are scheduled, in_progress, verifying, and completed.
     */
    status?: "investigating" | "identified" | "monitoring" | "resolved" | "scheduled" | "in_progress" | "verifying" | "completed";
    /**
     * Tweet identifier associated to this incident update.
     */
    tweet_id?: string | null;
    /**
     * The timestamp when twitter updated at.
     */
    twitter_updated_at?: string | null;
    /**
     * The timestamp when the incident update is updated.
     */
    updated_at?: string;
    /**
     * Controls whether to create twitter update.
     */
    wants_twitter_update?: boolean;
}
//# sourceMappingURL=IncidentUpdateAsResponse.d.ts.map