/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PageAsResponse {
    /**
     * Page identifier
     */
    id?: string;
    /**
     * Timestamp the record was created
     */
    created_at?: string;
    /**
     * Timestamp the record was last updated
     */
    updated_at?: string;
    /**
     * Name of your page to be displayed
     */
    name?: string;
    page_description?: string | null;
    headline?: string | null;
    /**
     * The main template your statuspage will use
     */
    branding?: string;
    /**
     * Subdomain at which to access your status page
     */
    subdomain?: string;
    /**
     * CNAME alias for your status page
     */
    domain?: string | null;
    /**
     * Website of your page.  Clicking on your statuspage image will link here.
     */
    url?: string | null;
    support_url?: string | null;
    /**
     * Should your page hide itself from search engines
     */
    hidden_from_search?: boolean;
    /**
     * Can your users subscribe to all notifications on the page
     */
    allow_page_subscribers?: boolean;
    /**
     * Can your users subscribe to notifications for a single incident
     */
    allow_incident_subscribers?: boolean;
    /**
     * Can your users choose to receive notifications via email
     */
    allow_email_subscribers?: boolean;
    /**
     * Can your users choose to receive notifications via SMS
     */
    allow_sms_subscribers?: boolean;
    /**
     * Can your users choose to access incident feeds via RSS/Atom (not functional on Audience-Specific pages)
     */
    allow_rss_atom_feeds?: boolean;
    /**
     * Can your users choose to receive notifications via Webhooks
     */
    allow_webhook_subscribers?: boolean;
    /**
     * Allows you to customize the email address your page notifications come from
     */
    notifications_from_email?: string | null;
    /**
     * Allows you to customize the footer appearing on your notification emails.  Accepts Markdown for formatting
     */
    notifications_email_footer?: string;
    activity_score?: number;
    twitter_username?: string | null;
    viewers_must_be_team_members?: boolean;
    ip_restrictions?: string | null;
    city?: string | null;
    state?: string | null;
    country?: string | null;
    /**
     * Timezone configured for your page
     */
    time_zone?: string;
    /**
     * CSS Color
     */
    css_body_background_color?: string;
    /**
     * CSS Color
     */
    css_font_color?: string;
    /**
     * CSS Color
     */
    css_light_font_color?: string;
    /**
     * CSS Color
     */
    css_greens?: string;
    /**
     * CSS Color
     */
    css_yellows?: string;
    /**
     * CSS Color
     */
    css_oranges?: string;
    /**
     * CSS Color
     */
    css_blues?: string;
    /**
     * CSS Color
     */
    css_reds?: string;
    /**
     * CSS Color
     */
    css_border_color?: string;
    /**
     * CSS Color
     */
    css_graph_color?: string;
    /**
     * CSS Color
     */
    css_link_color?: string;
    /**
     * CSS Color
     */
    css_no_data?: string;
    favicon_logo?: {
        updated_at?: string | null;
        size?: number | null;
        url?: string;
    };
    transactional_logo?: {
        updated_at?: string | null;
        original_url?: string;
        size?: number | null;
        normal_url?: string;
        retina_url?: string;
    };
    hero_cover?: {
        updated_at?: string | null;
        original_url?: string;
        size?: number | null;
        normal_url?: string;
        retina_url?: string;
    };
    email_logo?: {
        updated_at?: string | null;
        original_url?: string;
        size?: number | null;
        normal_url?: string;
        retina_url?: string;
    };
    twitter_logo?: {
        updated_at?: string | null;
        size?: number | null;
        url?: string;
    };
}
//# sourceMappingURL=PageAsResponse.d.ts.map