/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PatchPages {
    page?: {
        /**
         * Name of your page to be displayed
         */
        name?: string;
        /**
         * CNAME alias for your status page
         */
        domain?: string | null;
        /**
         * Subdomain at which to access your status page
         */
        subdomain?: string | null;
        /**
         * Website of your page.  Clicking on your statuspage image will link here.
         */
        url?: string | null;
        /**
         * The main template your statuspage will use
         */
        branding?: "basic" | "premium";
        /**
         * CSS Color
         */
        css_body_background_color?: string;
        /**
         * CSS Color
         */
        css_font_color?: string;
        /**
         * CSS Color
         */
        css_light_font_color?: string;
        /**
         * CSS Color
         */
        css_greens?: string;
        /**
         * CSS Color
         */
        css_yellows?: string;
        /**
         * CSS Color
         */
        css_oranges?: string;
        /**
         * CSS Color
         */
        css_reds?: string;
        /**
         * CSS Color
         */
        css_blues?: string;
        /**
         * CSS Color
         */
        css_border_color?: string;
        /**
         * CSS Color
         */
        css_graph_color?: string;
        /**
         * CSS Color
         */
        css_link_color?: string;
        /**
         * CSS Color
         */
        css_no_data?: string;
        /**
         * Should your page hide itself from search engines
         */
        hidden_from_search?: boolean;
        viewers_must_be_team_members?: boolean;
        /**
         * Can your users subscribe to all notifications on the page
         */
        allow_page_subscribers?: boolean;
        /**
         * Can your users subscribe to notifications for a single incident
         */
        allow_incident_subscribers?: boolean;
        /**
         * Can your users choose to receive notifications via email
         */
        allow_email_subscribers?: boolean;
        /**
         * Can your users choose to receive notifications via SMS
         */
        allow_sms_subscribers?: boolean;
        /**
         * Can your users choose to access incident feeds via RSS/Atom (not functional on Audience-Specific pages)
         */
        allow_rss_atom_feeds?: boolean;
        /**
         * Can your users choose to receive notifications via Webhooks
         */
        allow_webhook_subscribers?: boolean;
        /**
         * Allows you to customize the email address your page notifications come from
         */
        notifications_from_email?: string | null;
        /**
         * Timezone configured for your page
         */
        time_zone?: string;
        /**
         * Allows you to customize the footer appearing on your notification emails.  Accepts Markdown for formatting
         */
        notifications_email_footer?: string | null;
        page_description?: string | null;
        support_url?: string | null;
        headline?: string | null;
    };
}
//# sourceMappingURL=PatchPages.d.ts.map