/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface PostPagesPageIdComponents {
    component?: {
        /**
         * More detailed description for component
         */
        description?: string;
        /**
         * Status of component
         */
        status?: "operational" | "under_maintenance" | "degraded_performance" | "partial_outage" | "major_outage" | "";
        /**
         * Display name for component
         */
        name?: string;
        /**
         * Requires a special feature flag to be enabled
         */
        only_show_if_degraded?: boolean;
        /**
         * Component Group identifier
         */
        group_id?: string;
        /**
         * Should this component be showcased
         */
        showcase?: boolean;
        /**
         * The date this component started being used
         */
        start_date?: string;
    };
}
//# sourceMappingURL=PostPagesPageIdComponents.d.ts.map