/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PostPagesPageIdIncidents } from "../definitions/PostPagesPageIdIncidents";
import { IncidentAsResponse } from "../definitions/IncidentAsResponse";
import { ErrorEntityAsResponse } from "../definitions/ErrorEntityAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { PatchPagesPageIdIncidents } from "../definitions/PatchPagesPageIdIncidents";
export interface CreateIncidentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    body: PostPagesPageIdIncidents;
}
declare type CreateIncidentResponseOKType = IncidentAsResponse;
export interface CreateIncidentResponseOK extends CreateIncidentResponseOKType {
}
declare type CreateIncidentResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface CreateIncidentResponseError extends CreateIncidentResponseErrorType {
}
export interface GetIncidentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * If this is specified, search for the text query string in the incidents' name, status, postmortem_body, and incident_updates fields.
     */
    q?: string;
    /**
     * The maximum number of rows to return per page. The default and maximum limit is 100.
     */
    limit?: number;
    /**
     * Page offset to fetch.
     */
    page?: number;
}
declare type GetIncidentsResponseOKType = Array<IncidentAsResponse>;
export interface GetIncidentsResponseOK extends GetIncidentsResponseOKType {
}
declare type GetIncidentsResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetIncidentsResponseError extends GetIncidentsResponseErrorType {
}
export interface GetIncidentActiveMaintenancesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Page offset to fetch.
     */
    page?: number;
    /**
     * Number of results to return per page.
     */
    per_page?: number;
}
declare type GetIncidentActiveMaintenancesResponseOKType = Array<IncidentAsResponse>;
export interface GetIncidentActiveMaintenancesResponseOK extends GetIncidentActiveMaintenancesResponseOKType {
}
declare type GetIncidentActiveMaintenancesResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetIncidentActiveMaintenancesResponseError extends GetIncidentActiveMaintenancesResponseErrorType {
}
export interface GetUpcomingIncidentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Page offset to fetch.
     */
    page?: number;
    /**
     * Number of results to return per page.
     */
    per_page?: number;
}
declare type GetUpcomingIncidentsResponseOKType = Array<IncidentAsResponse>;
export interface GetUpcomingIncidentsResponseOK extends GetUpcomingIncidentsResponseOKType {
}
declare type GetUpcomingIncidentsResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetUpcomingIncidentsResponseError extends GetUpcomingIncidentsResponseErrorType {
}
export interface GetScheduledIncidentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Page offset to fetch.
     */
    page?: number;
    /**
     * Number of results to return per page.
     */
    per_page?: number;
}
declare type GetScheduledIncidentsResponseOKType = Array<IncidentAsResponse>;
export interface GetScheduledIncidentsResponseOK extends GetScheduledIncidentsResponseOKType {
}
declare type GetScheduledIncidentsResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetScheduledIncidentsResponseError extends GetScheduledIncidentsResponseErrorType {
}
export interface GetUnresolvedIncidentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Page offset to fetch.
     */
    page?: number;
    /**
     * Number of results to return per page.
     */
    per_page?: number;
}
declare type GetUnresolvedIncidentsResponseOKType = Array<IncidentAsResponse>;
export interface GetUnresolvedIncidentsResponseOK extends GetUnresolvedIncidentsResponseOKType {
}
declare type GetUnresolvedIncidentsResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetUnresolvedIncidentsResponseError extends GetUnresolvedIncidentsResponseErrorType {
}
export interface DeleteIncidentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Incident Identifier
     */
    incident_id: string;
}
declare type DeleteIncidentResponseOKType = IncidentAsResponse;
export interface DeleteIncidentResponseOK extends DeleteIncidentResponseOKType {
}
export declare type DeleteIncidentResponseError = undefined;
export interface UpdateIncidentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Incident Identifier
     */
    incident_id: string;
    body: PatchPagesPageIdIncidents;
}
declare type UpdateIncidentResponseOKType = IncidentAsResponse;
export interface UpdateIncidentResponseOK extends UpdateIncidentResponseOKType {
}
export declare type UpdateIncidentResponseError = undefined;
export interface GetIncidentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    /**
     * Incident Identifier
     */
    incident_id: string;
}
declare type GetIncidentResponseOKType = IncidentAsResponse;
export interface GetIncidentResponseOK extends GetIncidentResponseOKType {
}
export declare type GetIncidentResponseError = undefined;
export {};
//# sourceMappingURL=incident.d.ts.map