/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageAsResponse } from "../definitions/PageAsResponse";
import { ErrorEntityAsResponse } from "../definitions/ErrorEntityAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { PatchPages } from "../definitions/PatchPages";
export interface GetPagesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetPagesResponseOKType = Array<PageAsResponse>;
export interface GetPagesResponseOK extends GetPagesResponseOKType {
}
declare type GetPagesResponseErrorType = ErrorEntityAsResponse;
export interface GetPagesResponseError extends GetPagesResponseErrorType {
}
export interface UpdatePageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
    body: PatchPages;
}
declare type UpdatePageResponseOKType = PageAsResponse;
export interface UpdatePageResponseOK extends UpdatePageResponseOKType {
}
declare type UpdatePageResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface UpdatePageResponseError extends UpdatePageResponseErrorType {
}
export interface GetPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Page identifier
     */
    page_id: string;
}
declare type GetPageResponseOKType = PageAsResponse;
export interface GetPageResponseOK extends GetPageResponseOKType {
}
declare type GetPageResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetPageResponseError extends GetPageResponseErrorType {
}
export {};
//# sourceMappingURL=page.d.ts.map