/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PermissionsAsResponse } from "../definitions/PermissionsAsResponse";
import { ErrorEntityAsResponse } from "../definitions/ErrorEntityAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { UserAsResponse } from "../definitions/UserAsResponse";
import { PostOrganizationsOrganizationIdUsers } from "../definitions/PostOrganizationsOrganizationIdUsers";
export interface GetUserPermissionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Organization Identifier
     */
    organization_id: string;
    /**
     * User identifier
     */
    user_id: string;
}
declare type GetUserPermissionsResponseOKType = PermissionsAsResponse;
export interface GetUserPermissionsResponseOK extends GetUserPermissionsResponseOKType {
}
declare type GetUserPermissionsResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetUserPermissionsResponseError extends GetUserPermissionsResponseErrorType {
}
export interface DeleteUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Organization Identifier
     */
    organization_id: string;
    /**
     * User Identifier
     */
    user_id: string;
}
declare type DeleteUserResponseOKType = UserAsResponse;
export interface DeleteUserResponseOK extends DeleteUserResponseOKType {
}
declare type DeleteUserResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface DeleteUserResponseError extends DeleteUserResponseErrorType {
}
export interface CreateUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Organization Identifier
     */
    organization_id: string;
    body: PostOrganizationsOrganizationIdUsers;
}
declare type CreateUserResponseOKType = UserAsResponse;
export interface CreateUserResponseOK extends CreateUserResponseOKType {
}
declare type CreateUserResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface CreateUserResponseError extends CreateUserResponseErrorType {
}
export interface GetUsersRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Organization Identifier
     */
    organization_id: string;
    /**
     * Page offset to fetch. Beginning February 28, 2023, this endpoint will return paginated data even if this query parameter is not provided.
     */
    page?: number;
    /**
     * Number of results to return per page. Beginning February 28, 2023, a default and maximum limit of 100 will be imposed and this endpoint will return paginated data even if this query parameter is not provided.
     */
    per_page?: number;
}
declare type GetUsersResponseOKType = Array<UserAsResponse>;
export interface GetUsersResponseOK extends GetUsersResponseOKType {
}
declare type GetUsersResponseErrorType = ErrorEntityAsResponse & ErrorEntityAsResponse;
export interface GetUsersResponseError extends GetUsersResponseErrorType {
}
export {};
//# sourceMappingURL=user.d.ts.map